librime: Darts::Details::DawgBuilder Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | List of all members
Darts::Details::DawgBuilder Class Reference

`#include <darts.h>`

## Public Member Functions
| DawgBuilder ()
| ~DawgBuilder ()
id_type | root () const
id_type | child (id_type id) const
id_type | sibling (id_type id) const
int | value (id_type id) const
bool | is_leaf (id_type id) const
uchar_type | label (id_type id) const
bool | is_intersection (id_type id) const
id_type | intersection_id (id_type id) const
std::size_t | num_intersections () const
std::size_t | size () const
void | init ()
void | finish ()
void | insert (const char *key, std::size_t length, value_type value)
void | clear ()

## Constructor & Destructor Documentation

## ◆ DawgBuilder()

Darts::Details::DawgBuilder::DawgBuilder | ( |  | ) |
| inline

## ◆ ~DawgBuilder()

Darts::Details::DawgBuilder::~DawgBuilder | ( |  | ) |
| inline

## Member Function Documentation

## ◆ child()

id_type Darts::Details::DawgBuilder::child | ( | id_type | id | ) | const
| inline

## ◆ clear()

void Darts::Details::DawgBuilder::clear | ( |  | ) |
| inline

## ◆ finish()

void Darts::Details::DawgBuilder::finish | ( |  | ) |
| inline

## ◆ init()

void Darts::Details::DawgBuilder::init | ( |  | ) |
| inline

## ◆ insert()

void Darts::Details::DawgBuilder::insert | ( | const char * | key,
|  | std::size_t | length,
|  | value_type | value )
| inline

## ◆ intersection_id()

id_type Darts::Details::DawgBuilder::intersection_id | ( | id_type | id | ) | const
| inline

## ◆ is_intersection()

bool Darts::Details::DawgBuilder::is_intersection | ( | id_type | id | ) | const
| inline

## ◆ is_leaf()

bool Darts::Details::DawgBuilder::is_leaf | ( | id_type | id | ) | const
| inline

## ◆ label()

uchar_type Darts::Details::DawgBuilder::label | ( | id_type | id | ) | const
| inline

## ◆ num_intersections()

std::size_t Darts::Details::DawgBuilder::num_intersections | ( |  | ) | const
| inline

## ◆ root()

id_type Darts::Details::DawgBuilder::root | ( |  | ) | const
| inline

## ◆ sibling()

id_type Darts::Details::DawgBuilder::sibling | ( | id_type | id | ) | const
| inline

## ◆ size()

std::size_t Darts::Details::DawgBuilder::size | ( |  | ) | const
| inline

## ◆ value()

int Darts::Details::DawgBuilder::value | ( | id_type | id | ) | const
| inline

The documentation for this class was generated from the following file:

- darts.h